> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# selectionmemberwithmail

> List of selection members fetched based on provided criteria Output is in format - "[ContactName, Department/PersonFullName] &lt;registered@email.com&gt;" Ex - "Contact, Department &lt;registered@email.com&gt;" "Person Name &lt;registered@email.com&gt;"

## "selectionmemberwithmail" MDO List

List of selection members fetched based on provided criteria
Output is in format: "\[ContactName, Department/PersonFullName] \<[registered@email.com](mailto:registered@email.com)>"
Ex:
"Contact, Department \<[registered@email.com](mailto:registered@email.com)>"
"Person Name \<[registered@email.com](mailto:registered@email.com)>"

Implemented by the <see cref="T:SuperOffice.CRM.Lists.SelectionMemberWithMailListProvider">SelectionMemberWithMailListProvider</see> class.
The name of the MDO list is 'selectionmemberwithmail'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/selectionmemberwithmail
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("selectionmemberwithmail", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "selectionmemberwithmailheadings"
* "selectionmemberwithmailheadingswithallitem"
* "selectionmemberwithmailheadingswithallitemwithnoselection"
* "selectionmemberwithmailheadingswithnoselection"
* "selectionmemberwithmailwithallitem"
* "selectionmemberwithmailwithallitemwithnoselection"
* "selectionmemberwithmailwithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
